Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Class JUnit4AndTestNgConditionRunner

    java.lang.Object
      com.thoughtworks.selenium.condition.DefaultConditionRunner
          com.thoughtworks.selenium.condition.JUnit4AndTestNgConditionRunner

All Implemented Interfaces:
  ConditionRunner

    public class JUnit4AndTestNgConditionRunner

extends DefaultConditionRunner

This class throws an `AssertionError` when the condition is not met - the same as JUnit4 and TestNG do.

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.selenium.condition.DefaultConditionRunner
`DefaultConditionRunner.Log4jMonitor, DefaultConditionRunner.Monitor, DefaultConditionRunner.NoOpMonitor`

Nested classes/interfaces inherited from interface com.thoughtworks.selenium.condition.ConditionRunner
`ConditionRunner.Context`

Constructor Summary
`JUnit4AndTestNgConditionRunner(DefaultConditionRunner.Monitor monitor, Selenium selenium, int interval, int timeout)`
`JUnit4AndTestNgConditionRunner(DefaultConditionRunner.Monitor monitor, Selenium selenium, int initialDelay, int interval, int timeout)`
`JUnit4AndTestNgConditionRunner(Selenium selenium)`
`JUnit4AndTestNgConditionRunner(Selenium selenium, int interval, int timeout)`
`JUnit4AndTestNgConditionRunner(Selenium selenium, int initialDelay, int interval, int timeout)`

Method Summary
`void` | `throwAssertionException(java.lang.String message)`
`void` | `throwAssertionException(java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class com.thoughtworks.selenium.condition.DefaultConditionRunner
`waitFor, waitFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit4AndTestNgConditionRunner

    public JUnit4AndTestNgConditionRunner(DefaultConditionRunner.Monitor monitor,
                                          Selenium selenium,
                                          int initialDelay,
                                          int interval,
                                          int timeout)

### JUnit4AndTestNgConditionRunner

    public JUnit4AndTestNgConditionRunner(DefaultConditionRunner.Monitor monitor,
                                          Selenium selenium,
                                          int interval,
                                          int timeout)

### JUnit4AndTestNgConditionRunner

    public JUnit4AndTestNgConditionRunner(Selenium selenium,
                                          int initialDelay,
                                          int interval,
                                          int timeout)

### JUnit4AndTestNgConditionRunner

    public JUnit4AndTestNgConditionRunner(Selenium selenium,
                                          int interval,
                                          int timeout)

### JUnit4AndTestNgConditionRunner

    public JUnit4AndTestNgConditionRunner(Selenium selenium)

Method Detail

### throwAssertionException

    public void throwAssertionException(java.lang.String message)

  Overrides:
    `throwAssertionException` in class `DefaultConditionRunner`

### throwAssertionException

    public void throwAssertionException(java.lang.String message,
                                        java.lang.Throwable cause)

  Overrides:
    `throwAssertionException` in class `DefaultConditionRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.